# RTIfedTime Class Reference

`#include <fedtime.hh>`

Inheritance diagram for RTIfedTime:

[legend]

List of all members.

## Public Member Functions
| RTIfedTime ()
| RTIfedTime (const RTI::Double &)
| RTIfedTime (const RTI::FedTime &)
| RTIfedTime (const RTIfedTime &)
virtual | ~RTIfedTime ()
virtual void | setZero ()
virtual RTI::Boolean | isZero ()
virtual void | setEpsilon ()
virtual void | setPositiveInfinity ()
virtual RTI::Boolean | isPositiveInfinity ()
virtual int | encodedLength () const
virtual void | encode (char *) const
virtual int | getPrintableLength () const
virtual void | getPrintableString (char *)
virtual RTI::FedTime & | operator+= (const RTI::FedTime &) throw (RTI::InvalidFederationTime)
virtual RTI::FedTime & | operator-= (const RTI::FedTime &) throw (RTI::InvalidFederationTime)
virtual RTI::Boolean | operator<= (const RTI::FedTime &) const throw (RTI::InvalidFederationTime)
virtual RTI::Boolean | operator< (const RTI::FedTime &) const throw (RTI::InvalidFederationTime)
virtual RTI::Boolean | operator>= (const RTI::FedTime &) const throw (RTI::InvalidFederationTime)
virtual RTI::Boolean | operator> (const RTI::FedTime &) const throw (RTI::InvalidFederationTime)
virtual RTI::Boolean | operator== (const RTI::FedTime &) const throw (RTI::InvalidFederationTime)
virtual RTI::FedTime & | operator= (const RTI::FedTime &) throw (RTI::InvalidFederationTime)
virtual RTI::Double | getTime () const
virtual RTI::Boolean | operator== (const RTI::Double &) const throw (RTI::InvalidFederationTime)
virtual RTI::Boolean | operator!= (const RTI::FedTime &) const throw (RTI::InvalidFederationTime)
virtual RTI::Boolean | operator!= (const RTI::Double &) const throw (RTI::InvalidFederationTime)
virtual RTI::FedTime & | operator= (const RTIfedTime &) throw (RTI::InvalidFederationTime)
virtual RTI::FedTime & | operator= (const RTI::Double &) throw (RTI::InvalidFederationTime)
virtual RTI::FedTime & | operator*= (const RTI::FedTime &) throw (RTI::InvalidFederationTime)
virtual RTI::FedTime & | operator/= (const RTI::FedTime &) throw (RTI::InvalidFederationTime)
virtual RTI::FedTime & | operator+= (const RTI::Double &) throw (RTI::InvalidFederationTime)
virtual RTI::FedTime & | operator-= (const RTI::Double &) throw (RTI::InvalidFederationTime)
virtual RTI::FedTime & | operator*= (const RTI::Double &) throw (RTI::InvalidFederationTime)
virtual RTI::FedTime & | operator/= (const RTI::Double &) throw (RTI::InvalidFederationTime)
virtual RTIfedTime | operator+ (const RTI::FedTime &) throw (RTI::InvalidFederationTime)
virtual RTIfedTime | operator+ (const RTI::Double &) throw (RTI::InvalidFederationTime)
virtual RTIfedTime | operator- (const RTI::FedTime &) throw (RTI::InvalidFederationTime)
virtual RTIfedTime | operator- (const RTI::Double &) throw (RTI::InvalidFederationTime)
virtual RTIfedTime | operator* (const RTI::FedTime &) throw (RTI::InvalidFederationTime)
virtual RTIfedTime | operator* (const RTI::Double &) throw (RTI::InvalidFederationTime)
virtual RTIfedTime | operator/ (const RTI::FedTime &) throw (RTI::InvalidFederationTime)
virtual RTIfedTime | operator/ (const RTI::Double &) throw (RTI::InvalidFederationTime)
## Private Attributes
RTI::Double | _fedTime
RTI::Double | _zero
RTI::Double | _epsilon
RTI::Double | _positiveInfinity
## Friends
RTI_STD::ostream FEDTIME_EXPORT & | operator<< (RTI_STD::ostream &, const RTI::FedTime &)

## Detailed Description

Definition at line 11 of file fedtime.hh.

## Constructor & Destructor Documentation

RTIfedTime | ( |  | ) |

Definition at line 91 of file RTIfedTime.cc.

RTIfedTime | ( | const RTI::Double & | time | ) |

Definition at line 97 of file RTIfedTime.cc.

RTIfedTime | ( | const RTI::FedTime & | time | ) |

Definition at line 103 of file RTIfedTime.cc.

RTIfedTime | ( | const RTIfedTime & | time | ) |

Definition at line 110 of file RTIfedTime.cc.

~RTIfedTime | ( |  | ) | `[virtual]`

Definition at line 118 of file RTIfedTime.cc.

## Member Function Documentation

void setZero | ( |  | ) | `[virtual]`

Implements RTI::FedTime.

Definition at line 124 of file RTIfedTime.cc.

References _fedTime, and _zero.

RTI::Boolean isZero | ( |  | ) | `[virtual]`

Implements RTI::FedTime.

Definition at line 131 of file RTIfedTime.cc.

References _fedTime, and _zero.

void setEpsilon | ( |  | ) | `[virtual]`

Implements RTI::FedTime.

Definition at line 138 of file RTIfedTime.cc.

References _epsilon, and _fedTime.

void setPositiveInfinity | ( |  | ) | `[virtual]`

Implements RTI::FedTime.

Definition at line 145 of file RTIfedTime.cc.

References _fedTime, and _positiveInfinity.

RTI::Boolean isPositiveInfinity | ( |  | ) | `[virtual]`

Implements RTI::FedTime.

Definition at line 152 of file RTIfedTime.cc.

References _fedTime, and _positiveInfinity.

Referenced by operator<=().

int encodedLength | ( |  | ) | const`[virtual]`

Implements RTI::FedTime.

Definition at line 159 of file RTIfedTime.cc.

References _epsilon, _fedTime, _positiveInfinity, and _zero.

void encode | ( | char * | buffer | ) | const`[virtual]`

Implements RTI::FedTime.

Definition at line 171 of file RTIfedTime.cc.

References _fedTime.

int getPrintableLength | ( |  | ) | const`[virtual]`

Implements RTI::FedTime.

Definition at line 178 of file RTIfedTime.cc.

References _fedTime, infinity_str, and is_infinity().

Here is the call graph for this function:

void getPrintableString | ( | char * | str | ) | `[virtual]`

Implements RTI::FedTime.

Definition at line 192 of file RTIfedTime.cc.

References _fedTime, infinity_str, and is_infinity().

Here is the call graph for this function:

RTI::FedTime & operator+= | ( | const RTI::FedTime & | time | ) | throw (RTI::InvalidFederationTime)`[virtual]`

Implements RTI::FedTime.

Definition at line 207 of file RTIfedTime.cc.

References _fedTime, and rft().

Here is the call graph for this function:

RTI::FedTime & operator-= | ( | const RTI::FedTime & | time | ) | throw (RTI::InvalidFederationTime)`[virtual]`

Implements RTI::FedTime.

Definition at line 216 of file RTIfedTime.cc.

References _fedTime, and rft().

Here is the call graph for this function:

RTI::Boolean operator<= | ( | const RTI::FedTime & | time | ) | const throw (RTI::InvalidFederationTime)`[virtual]`

Implements RTI::FedTime.

Definition at line 225 of file RTIfedTime.cc.

References _epsilon, _fedTime, certi::fcmp(), is_infinity(), isPositiveInfinity(), rft(), RTI::RTI_FALSE, and RTI::RTI_TRUE.

Here is the call graph for this function:

RTI::Boolean operator< | ( | const RTI::FedTime & | time | ) | const throw (RTI::InvalidFederationTime)`[virtual]`

Implements RTI::FedTime.

Definition at line 238 of file RTIfedTime.cc.

References _epsilon, _fedTime, certi::fcmp(), is_infinity(), rft(), and RTI::RTI_FALSE.

Here is the call graph for this function:

RTI::Boolean operator>= | ( | const RTI::FedTime & | time | ) | const throw (RTI::InvalidFederationTime)`[virtual]`

Implements RTI::FedTime.

Definition at line 249 of file RTIfedTime.cc.

References _epsilon, _fedTime, certi::fcmp(), is_infinity(), rft(), RTI::RTI_FALSE, and RTI::RTI_TRUE.

Here is the call graph for this function:

RTI::Boolean operator> | ( | const RTI::FedTime & | time | ) | const throw (RTI::InvalidFederationTime)`[virtual]`

Implements RTI::FedTime.

Definition at line 262 of file RTIfedTime.cc.

References _epsilon, _fedTime, certi::fcmp(), is_infinity(), rft(), and RTI::RTI_FALSE.

Here is the call graph for this function:

RTI::Boolean operator== | ( | const RTI::FedTime & | time | ) | const throw (RTI::InvalidFederationTime)`[inline, virtual]`

Implements RTI::FedTime.

Definition at line 273 of file RTIfedTime.cc.

References _epsilon, _fedTime, certi::fcmp(), is_infinity(), rft(), RTI::RTI_FALSE, and RTI::RTI_TRUE.

Here is the call graph for this function:

RTI::FedTime & operator= | ( | const RTI::FedTime & | time | ) | throw (RTI::InvalidFederationTime)`[virtual]`

Implements RTI::FedTime.

Definition at line 286 of file RTIfedTime.cc.

References _fedTime, and rft().

Here is the call graph for this function:

RTI::Double getTime | ( |  | ) | const`[virtual]`

Definition at line 295 of file RTIfedTime.cc.

References _fedTime.

Referenced by operator*(), operator+(), operator-(), operator/(), and operator<<().

RTI::Boolean operator== | ( | const RTI::Double & | time | ) | const throw (RTI::InvalidFederationTime)`[virtual]`

Definition at line 302 of file RTIfedTime.cc.

References _epsilon, _fedTime, certi::fcmp(), and is_infinity().

Here is the call graph for this function:

RTI::Boolean operator!= | ( | const RTI::FedTime & | time | ) | const throw (RTI::InvalidFederationTime)`[virtual]`

Definition at line 310 of file RTIfedTime.cc.

References _epsilon, _fedTime, certi::fcmp(), and rft().

Here is the call graph for this function:

RTI::Boolean operator!= | ( | const RTI::Double & | time | ) | const throw (RTI::InvalidFederationTime)`[virtual]`

Definition at line 318 of file RTIfedTime.cc.

References _epsilon, _fedTime, certi::fcmp(), and is_infinity().

Here is the call graph for this function:

RTI::FedTime & operator= | ( | const RTIfedTime & | time | ) | throw (RTI::InvalidFederationTime)`[virtual]`

Definition at line 326 of file RTIfedTime.cc.

References _fedTime.

RTI::FedTime & operator= | ( | const RTI::Double & | time | ) | throw (RTI::InvalidFederationTime)`[virtual]`

Definition at line 335 of file RTIfedTime.cc.

References _fedTime.

RTI::FedTime & operator*= | ( | const RTI::FedTime & | time | ) | throw (RTI::InvalidFederationTime)`[virtual]`

Definition at line 343 of file RTIfedTime.cc.

References _fedTime, and rft().

Here is the call graph for this function:

RTI::FedTime & operator/= | ( | const RTI::FedTime & | time | ) | throw (RTI::InvalidFederationTime)`[virtual]`

Definition at line 351 of file RTIfedTime.cc.

References _fedTime, and rft().

Here is the call graph for this function:

RTI::FedTime & operator+= | ( | const RTI::Double & | time | ) | throw (RTI::InvalidFederationTime)`[virtual]`

Definition at line 359 of file RTIfedTime.cc.

References _fedTime.

RTI::FedTime & operator-= | ( | const RTI::Double & | time | ) | throw (RTI::InvalidFederationTime)`[virtual]`

Definition at line 367 of file RTIfedTime.cc.

References _fedTime.

RTI::FedTime & operator*= | ( | const RTI::Double & | time | ) | throw (RTI::InvalidFederationTime)`[virtual]`

Definition at line 375 of file RTIfedTime.cc.

References _fedTime.

RTI::FedTime & operator/= | ( | const RTI::Double & | time | ) | throw (RTI::InvalidFederationTime)`[virtual]`

Definition at line 383 of file RTIfedTime.cc.

References _fedTime.

RTIfedTime operator+ | ( | const RTI::FedTime & | time | ) | throw (RTI::InvalidFederationTime)`[virtual]`

Definition at line 392 of file RTIfedTime.cc.

References _fedTime, and rft().

Here is the call graph for this function:

RTIfedTime operator+ | ( | const RTI::Double & | time | ) | throw (RTI::InvalidFederationTime)`[virtual]`

Definition at line 400 of file RTIfedTime.cc.

References _fedTime.

RTIfedTime operator- | ( | const RTI::FedTime & | time | ) | throw (RTI::InvalidFederationTime)`[virtual]`

Definition at line 409 of file RTIfedTime.cc.

References _fedTime, and rft().

Here is the call graph for this function:

RTIfedTime operator- | ( | const RTI::Double & | time | ) | throw (RTI::InvalidFederationTime)`[virtual]`

Definition at line 417 of file RTIfedTime.cc.

References _fedTime.

RTIfedTime operator* | ( | const RTI::FedTime & | time | ) | throw (RTI::InvalidFederationTime)`[virtual]`

Definition at line 426 of file RTIfedTime.cc.

References _fedTime, and rft().

Here is the call graph for this function:

RTIfedTime operator* | ( | const RTI::Double & | time | ) | throw (RTI::InvalidFederationTime)`[virtual]`

Definition at line 434 of file RTIfedTime.cc.

References _fedTime.

RTIfedTime operator/ | ( | const RTI::FedTime & | time | ) | throw (RTI::InvalidFederationTime)`[virtual]`

Definition at line 443 of file RTIfedTime.cc.

References _fedTime, and rft().

Here is the call graph for this function:

RTIfedTime operator/ | ( | const RTI::Double & | time | ) | throw (RTI::InvalidFederationTime)`[virtual]`

Definition at line 451 of file RTIfedTime.cc.

References _fedTime.

## Friends And Related Function Documentation

RTI_STD::ostream FEDTIME_EXPORT& operator<< | ( | RTI_STD::ostream & | ,
|  | const RTI::FedTime & |  |
| ) |  |  | `[friend]`

## Member Data Documentation

RTI::Double _fedTime`[private]`

Definition at line 117 of file fedtime.hh.

Referenced by encode(), encodedLength(), getPrintableLength(), getPrintableString(), getTime(), isPositiveInfinity(), isZero(), operator!=(), operator*(), operator*=(), operator+(), operator+=(), operator-(), operator-=(), operator/(), operator/=(), operator<(), operator<=(), operator=(), operator==(), operator>(), operator>=(), setEpsilon(), setPositiveInfinity(), and setZero().

RTI::Double _zero`[private]`

Definition at line 118 of file fedtime.hh.

Referenced by encodedLength(), isZero(), and setZero().

RTI::Double _epsilon`[private]`

Definition at line 119 of file fedtime.hh.

Referenced by encodedLength(), operator!=(), operator<(), operator<=(), operator==(), operator>(), operator>=(), and setEpsilon().

RTI::Double _positiveInfinity`[private]`

Definition at line 120 of file fedtime.hh.

Referenced by encodedLength(), isPositiveInfinity(), and setPositiveInfinity().

The documentation for this class was generated from the following files:

- fedtime.hh
- RTIfedTime.cc